Skip to main content
GET
Read one page of a portability's efetivação status

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Query Parameters

page
integer<int64>
default:1

1-based page number, relayed to the rail's nroPagina.

Required range: x >= 1
Example:

1

codigo_origem
string

OPTIONAL filter: the origin institution's code.

Example:

"899"

numero_unico
string

OPTIONAL filter: the portability's NSU.

Maximum string length: 21
Pattern: ^[0-9]{0,21}$
Example:

"100000000000000000001"

matricula
string

OPTIONAL filter: worker registration number.

Maximum string length: 30
Example:

"99999999999-A"

codigo_inscricao_empregador
string

OPTIONAL filter: 1 CNPJ, 2 CPF.

Pattern: ^[12]?$
Example:

"1"

numero_inscricao_empregador
string

OPTIONAL filter: employer inscription number.

Maximum string length: 15
Example:

"99999999999881"

data_inicio_operacao
string<date-time>

OPTIONAL filter: operation window start.

Example:

"2026-01-01T00:00:00Z"

data_fim_operacao
string<date-time>

OPTIONAL filter: operation window end.

Example:

"2026-02-01T00:00:00Z"

classificador_situacao
string

OPTIONAL filter: 0 Aberto, 1 Encerrado por prazo, 2 Encerrado por averbação, 3 Encerrado por alteração do Número Único.

Pattern: ^[0-3]?$
Example:

"1"

Response

OK

has_more
boolean
required

Whether a further page exists.

Example:

false

page
integer<int64>
required

1-based page number, echoed from the rail.

Example:

1

registros
object[] | null
required
size
integer<int64>
required

Page size the rail is paginating with.

Example:

10